import * as React from 'react';
import { Location } from '../../helpers/urls';
import { Placement } from '../controls/Tooltip';
interface Props {
    fill: string;
    height: number;
    icon?: React.ReactNode;
    itemKey: string;
    label: string;
    link?: string | Location;
    onClick?: (item: string) => void;
    placement?: Placement;
    prefix: string;
    tooltip?: React.ReactNode;
    width: number;
    x: number;
    y: number;
}
export default class TreeMapRect extends React.PureComponent<Props> {
    handleLinkClick: (event: React.MouseEvent<HTMLAnchorElement, MouseEvent>) => void;
    handleRectClick: () => void;
    renderLink: () => JSX.Element | null;
    renderCell: () => JSX.Element;
    render(): JSX.Element;
}
export {};
