import { LocationDescriptor } from 'history';
import * as React from 'react';
import { PopupPlacement } from '../ui/popups';
export interface ActionsDropdownProps {
    className?: string;
    children: React.ReactNode;
    onOpen?: () => void;
    overlayPlacement?: PopupPlacement;
    small?: boolean;
    toggleClassName?: string;
}
export default function ActionsDropdown(props: ActionsDropdownProps): JSX.Element;
interface ItemProps {
    className?: string;
    children: React.ReactNode;
    copyValue?: string;
    destructive?: boolean;
    download?: string;
    id?: string;
    onClick?: () => void;
    to?: LocationDescriptor;
}
export declare class ActionsDropdownItem extends React.PureComponent<ItemProps> {
    handleClick: (event: React.SyntheticEvent<HTMLAnchorElement, Event>) => void;
    render(): JSX.Element;
}
export declare function ActionsDropdownDivider(): JSX.Element;
export {};
