"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var classNames = require("classnames");
var React = require("react");
var l10n_1 = require("../../helpers/l10n");
var theme_1 = require("../theme");
var Tooltip_1 = require("./Tooltip");
var BackButton = (function (_super) {
    __extends(BackButton, _super);
    function BackButton() {
        var _this = _super !== null && _super.apply(this, arguments) || this;
        _this.handleClick = function (event) {
            event.preventDefault();
            event.currentTarget.blur();
            if (!_this.props.disabled) {
                _this.props.onClick();
            }
        };
        _this.renderIcon = function () { return (React.createElement(theme_1.ThemeConsumer, null, function (theme) { return (React.createElement("svg", { height: "24", viewBox: "0 0 21 24", width: "21" },
            React.createElement("path", { d: "M3.845 12.9992l5.993 5.993.052.056c.049.061.093.122.129.191.082.159.121.339.111.518-.006.102-.028.203-.064.298-.149.39-.537.652-.954.644-.102-.002-.204-.019-.301-.052-.148-.05-.273-.135-.387-.241l-8.407-8.407 8.407-8.407.056-.052c.061-.048.121-.092.19-.128.116-.06.237-.091.366-.108.076-.004.075-.004.153-.003.155.015.3.052.437.129.088.051.169.115.239.19.246.266.33.656.214.999-.051.149-.135.273-.241.387l-5.983 5.984c5.287-.044 10.577-.206 15.859.013.073.009.091.009.163.027.187.047.359.15.49.292.075.081.136.175.18.276.044.101.072.209.081.319.032.391-.175.775-.521.962-.097.052-.202.089-.311.107-.073.012-.091.01-.165.013H3.845z", fill: _this.props.disabled ? theme.colors.disableGrayText : theme.colors.secondFontColor }))); })); };
        return _this;
    }
    BackButton.prototype.render = function () {
        var _a = this.props.tooltip, tooltip = _a === void 0 ? l10n_1.translate('issues.return_to_list') : _a;
        return (React.createElement(Tooltip_1.default, { overlay: tooltip },
            React.createElement("a", { className: classNames('link-no-underline', { 'cursor-not-allowed': this.props.disabled }, this.props.className), href: "#", onClick: this.handleClick }, this.renderIcon())));
    };
    return BackButton;
}(React.PureComponent));
exports.default = BackButton;
//# sourceMappingURL=BackButton.js.map