import * as React from 'react';
export interface BoxedTabsProps<K> {
    className?: string;
    onSelect: (key: K) => void;
    selected?: K;
    tabs: Array<{
        key: K;
        label: React.ReactNode;
    }>;
}
export default function BoxedTabs<K>(props: BoxedTabsProps<K>): JSX.Element;
