"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var ConfirmModal_1 = require("./ConfirmModal");
var ModalButton_1 = require("./ModalButton");
var ConfirmButton = (function (_super) {
    __extends(ConfirmButton, _super);
    function ConfirmButton() {
        var _this = _super !== null && _super.apply(this, arguments) || this;
        _this.renderConfirmModal = function (_a) {
            var onClose = _a.onClose;
            var _b = _this.props, children = _b.children, modalBody = _b.modalBody, modalHeader = _b.modalHeader, modalHeaderDescription = _b.modalHeaderDescription, confirmModalProps = __rest(_b, ["children", "modalBody", "modalHeader", "modalHeaderDescription"]);
            return (React.createElement(ConfirmModal_1.default, __assign({ header: modalHeader, headerDescription: modalHeaderDescription, onClose: onClose }, confirmModalProps), modalBody));
        };
        return _this;
    }
    ConfirmButton.prototype.render = function () {
        return React.createElement(ModalButton_1.default, { modal: this.renderConfirmModal }, this.props.children);
    };
    return ConfirmButton;
}(React.PureComponent));
exports.default = ConfirmButton;
//# sourceMappingURL=ConfirmButton.js.map