"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var DocumentClickHandler = (function (_super) {
    __extends(DocumentClickHandler, _super);
    function DocumentClickHandler() {
        var _this = _super !== null && _super.apply(this, arguments) || this;
        _this.addClickHandler = function () {
            document.addEventListener('click', _this.handleDocumentClick);
        };
        _this.removeClickHandler = function () {
            document.removeEventListener('click', _this.handleDocumentClick);
        };
        _this.handleDocumentClick = function () {
            _this.props.onClick();
        };
        return _this;
    }
    DocumentClickHandler.prototype.componentDidMount = function () {
        var _this = this;
        setTimeout(function () {
            _this.addClickHandler();
        }, 0);
    };
    DocumentClickHandler.prototype.componentWillUnmount = function () {
        this.removeClickHandler();
    };
    DocumentClickHandler.prototype.render = function () {
        return this.props.children;
    };
    return DocumentClickHandler;
}(React.Component));
exports.default = DocumentClickHandler;
//# sourceMappingURL=DocumentClickHandler.js.map