import * as React from 'react';
interface Message {
    id: string;
    level: 'ERROR' | 'SUCCESS';
    message: string;
}
export interface GlobalMessagesProps {
    closeGlobalMessage: (id: string) => void;
    messages: Message[];
}
export default function GlobalMessages({ closeGlobalMessage, messages }: GlobalMessagesProps): JSX.Element | null;
export declare class GlobalMessage extends React.PureComponent<{
    closeGlobalMessage: (id: string) => void;
    message: Message;
}> {
    handleClose: () => void;
    render(): JSX.Element;
}
declare const Message: import("@emotion/styled-base").StyledComponent<React.DetailedHTMLProps<React.HTMLAttributes<HTMLDivElement>, HTMLDivElement>, Pick<Message, "level">, import("../theme").Theme>;
export {};
