import * as React from 'react';
interface Props {
    autoFocus?: boolean;
    className?: string;
    description?: string;
    dirty: boolean;
    disabled: boolean;
    error: string | undefined;
    id?: string;
    label?: React.ReactNode;
    name: string;
    onBlur: (event: React.FocusEvent<any>) => void;
    onChange: (event: React.ChangeEvent<any>) => void;
    placeholder?: string;
    touched: boolean | undefined;
    type?: string;
    value: string;
}
export default function InputValidationField({ className, ...props }: Props): JSX.Element;
export {};
