"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
Object.defineProperty(exports, "__esModule", { value: true });
var classNames = require("classnames");
var React = require("react");
var ModalValidationField_1 = require("./ModalValidationField");
function InputValidationField(_a) {
    var className = _a.className, props = __rest(_a, ["className"]);
    var description = props.description, dirty = props.dirty, error = props.error, label = props.label, touched = props.touched, inputProps = __rest(props, ["description", "dirty", "error", "label", "touched"]);
    var modalValidationProps = { description: description, dirty: dirty, error: error, label: label, touched: touched };
    return (React.createElement(ModalValidationField_1.default, __assign({}, modalValidationProps), function (_a) {
        var validationClassName = _a.className;
        return (React.createElement("input", __assign({ className: classNames(className, validationClassName) }, inputProps)));
    }));
}
exports.default = InputValidationField;
//# sourceMappingURL=InputValidationField.js.map