"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
Object.defineProperty(exports, "__esModule", { value: true });
var classNames = require("classnames");
var React = require("react");
var ReactModal = require("react-modal");
var init_1 = require("../../helpers/init");
require("./Modal.css");
ReactModal.setAppElement(init_1.getReactDomContainerSelector());
function Modal(props) {
    return (React.createElement(ReactModal, __assign({ className: classNames('modal', {
            'modal-small': props.size === 'small',
            'modal-medium': props.size === 'medium',
            'modal-large': props.size === 'large',
        }), isOpen: true, overlayClassName: classNames('modal-overlay', { 'modal-no-backdrop': props.noBackdrop }) }, props)));
}
exports.default = Modal;
//# sourceMappingURL=Modal.js.map