"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var ModalButton = (function (_super) {
    __extends(ModalButton, _super);
    function ModalButton() {
        var _this = _super !== null && _super.apply(this, arguments) || this;
        _this.mounted = false;
        _this.state = { modal: false };
        _this.handleButtonClick = function () {
            _this.setState({ modal: true });
        };
        _this.handleFormSubmit = function (event) {
            if (event) {
                event.preventDefault();
            }
            _this.setState({ modal: true });
        };
        _this.handleCloseModal = function () {
            if (_this.mounted) {
                _this.setState({ modal: false });
            }
        };
        return _this;
    }
    ModalButton.prototype.componentDidMount = function () {
        this.mounted = true;
    };
    ModalButton.prototype.componentWillUnmount = function () {
        this.mounted = false;
    };
    ModalButton.prototype.render = function () {
        return (React.createElement(React.Fragment, null,
            this.props.children({
                onClick: this.handleButtonClick,
                onFormSubmit: this.handleFormSubmit,
            }),
            this.state.modal && this.props.modal({ onClose: this.handleCloseModal })));
    };
    return ModalButton;
}(React.PureComponent));
exports.default = ModalButton;
//# sourceMappingURL=ModalButton.js.map