"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var classNames = require("classnames");
var React = require("react");
require("./RadioToggle.css");
var Tooltip_1 = require("./Tooltip");
var RadioToggle = (function (_super) {
    __extends(RadioToggle, _super);
    function RadioToggle() {
        var _this = _super !== null && _super.apply(this, arguments) || this;
        _this.renderOption = function (option) {
            var checked = option.value === _this.props.value;
            var htmlId = _this.props.name + '__' + option.value;
            return (React.createElement("li", { key: option.value.toString() },
                React.createElement("input", { checked: checked, disabled: option.disabled, id: htmlId, name: _this.props.name, onChange: function () { return _this.props.onCheck(option.value); }, type: "radio" }),
                React.createElement(Tooltip_1.default, { overlay: option.tooltip || undefined },
                    React.createElement("label", { htmlFor: htmlId }, option.label))));
        };
        return _this;
    }
    RadioToggle.prototype.render = function () {
        return (React.createElement("ul", { className: classNames('radio-toggle', this.props.className) }, this.props.options.map(this.renderOption)));
    };
    RadioToggle.defaultProps = {
        disabled: false,
        value: null,
    };
    return RadioToggle;
}(React.PureComponent));
exports.default = RadioToggle;
//# sourceMappingURL=RadioToggle.js.map