import * as React from 'react';
interface Props {
    active?: boolean;
    disabled?: boolean;
    element: string;
    onSelect: (element: string) => Promise<void>;
    onUnselect: (element: string) => Promise<void>;
    renderElement: (element: string) => React.ReactNode;
    selected: boolean;
}
interface State {
    loading: boolean;
}
export default class SelectListListElement extends React.PureComponent<Props, State> {
    mounted: boolean;
    state: State;
    componentDidMount(): void;
    componentWillUnmount(): void;
    stopLoading: () => void;
    handleCheck: (checked: boolean) => void;
    render(): JSX.Element;
}
export {};
