"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var classNames = require("classnames");
var React = require("react");
require("./Tabs.css");
function Tabs(_a) {
    var onChange = _a.onChange, selected = _a.selected, tabs = _a.tabs;
    return (React.createElement("ul", { className: "flex-tabs" }, tabs.map(function (tab) { return (React.createElement(Tab, { disabled: tab.disabled, key: tab.key, name: tab.key, onSelect: onChange, selected: selected === tab.key }, tab.node)); })));
}
exports.default = Tabs;
var Tab = (function (_super) {
    __extends(Tab, _super);
    function Tab() {
        var _this = _super !== null && _super.apply(this, arguments) || this;
        _this.handleClick = function (event) {
            event.preventDefault();
            event.stopPropagation();
            if (!_this.props.disabled) {
                _this.props.onSelect(_this.props.name);
            }
        };
        return _this;
    }
    Tab.prototype.render = function () {
        var _a = this.props, children = _a.children, disabled = _a.disabled, name = _a.name, selected = _a.selected;
        return (React.createElement("li", null,
            React.createElement("a", { className: classNames('js-' + name, { disabled: disabled, selected: selected }), href: "#", onClick: this.handleClick }, children)));
    };
    return Tab;
}(React.PureComponent));
exports.Tab = Tab;
//# sourceMappingURL=Tabs.js.map