"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var DocumentClickHandler_1 = require("./DocumentClickHandler");
var EscKeydownHandler_1 = require("./EscKeydownHandler");
var OutsideClickHandler_1 = require("./OutsideClickHandler");
var Toggler = (function (_super) {
    __extends(Toggler, _super);
    function Toggler() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    Toggler.prototype.renderOverlay = function () {
        var _a = this.props, _b = _a.closeOnClick, closeOnClick = _b === void 0 ? false : _b, _c = _a.closeOnClickOutside, closeOnClickOutside = _c === void 0 ? true : _c, _d = _a.closeOnEscape, closeOnEscape = _d === void 0 ? true : _d, onRequestClose = _a.onRequestClose, overlay = _a.overlay;
        var renderedOverlay;
        if (closeOnEscape) {
            renderedOverlay = React.createElement(EscKeydownHandler_1.default, { onKeydown: onRequestClose }, overlay);
        }
        else {
            renderedOverlay = overlay;
        }
        if (closeOnClick) {
            return (React.createElement(DocumentClickHandler_1.default, { onClick: onRequestClose }, renderedOverlay));
        }
        else if (closeOnClickOutside) {
            return (React.createElement(OutsideClickHandler_1.default, { onClickOutside: onRequestClose }, renderedOverlay));
        }
        else {
            return renderedOverlay;
        }
    };
    Toggler.prototype.render = function () {
        return (React.createElement(React.Fragment, null,
            this.props.children,
            this.props.open && this.renderOverlay()));
    };
    return Toggler;
}(React.Component));
exports.default = Toggler;
//# sourceMappingURL=Toggler.js.map