import * as React from 'react';
import { ModalProps } from './Modal';
import { ChildrenProps } from './ValidationForm';
interface Props<V> extends ModalProps {
    children: (props: ChildrenProps<V>) => React.ReactNode;
    confirmButtonText: string;
    header: string;
    initialValues: V;
    isDestructive?: boolean;
    isInitialValid?: boolean;
    onClose: () => void;
    onSubmit: (data: V) => Promise<void>;
    validate: (data: V) => {
        [P in keyof V]?: string;
    };
}
export default class ValidationModal<V> extends React.PureComponent<Props<V>> {
    handleSubmit: (data: V) => Promise<void>;
    render(): JSX.Element;
}
export {};
