"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var Icon_1 = require("./Icon");
function ArrowIcon(_a) {
    var _b = _a.animated, animated = _b === void 0 ? false : _b, _c = _a.fill, fill = _c === void 0 ? 'currentColor' : _c, _d = _a.inverseDirection, inverseDirection = _d === void 0 ? false : _d, iconProps = __rest(_a, ["animated", "fill", "inverseDirection"]);
    var style = {};
    if (inverseDirection) {
        style.transform = 'scaleX(-1)';
    }
    if (animated) {
        style.transition = 'transform 0.2s';
    }
    return (React.createElement(Icon_1.default, __assign({ style: style }, iconProps),
        React.createElement("path", { d: "M13.99 6.867l.668.005H4.99l3.04-3.046a.79.79 0 00.23-.561.789.789 0 00-.23-.56l-.473-.474A.784.784 0 006.998 2a.784.784 0 00-.558.23L1.23 7.44A.783.783 0 001 8c0 .212.081.41.23.56l5.21 5.21c.149.148.347.23.558.23.212 0 .41-.082.559-.23l.472-.473a.782.782 0 000-1.106L4.956 9.128H14a.819.819 0 00.801-.81v-.67c0-.435-.376-.78-.812-.78z", fill: fill })));
}
exports.default = ArrowIcon;
//# sourceMappingURL=ArrowIcon.js.map