"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
Object.defineProperty(exports, "__esModule", { value: true });
var classNames = require("classnames");
var React = require("react");
var Icon_1 = require("./Icon");
function ClockIcon(_a) {
    var className = _a.className, iconProps = __rest(_a, ["className"]);
    return (React.createElement(Icon_1.default, __assign({ className: classNames('icon-clock', className) }, iconProps),
        React.createElement("g", { fill: "#fff", stroke: "#ADADAD", transform: "matrix(1.4 0 0 1.4 .3 .7)" },
            React.createElement("circle", { cx: "5.5", cy: "5.2", r: "5" }),
            React.createElement("path", { d: "M5.6 2.9v2.7l2-.5", fillRule: "nonzero" }))));
}
exports.default = ClockIcon;
//# sourceMappingURL=ClockIcon.js.map