"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
Object.defineProperty(exports, "__esModule", { value: true });
var classNames = require("classnames");
var React = require("react");
var theme_1 = require("../theme");
var Icon_1 = require("./Icon");
function HomeIcon(_a) {
    var className = _a.className, fill = _a.fill, _b = _a.filled, filled = _b === void 0 ? false : _b, iconProps = __rest(_a, ["className", "fill", "filled"]);
    return (React.createElement(theme_1.ThemeConsumer, null, function (theme) { return (React.createElement(Icon_1.default, __assign({ className: classNames(className, 'icon-outline', { 'is-filled': filled }), style: { color: fill || theme.colors.orange } }, iconProps),
        React.createElement("g", { transform: "matrix(0.870918,0,0,0.870918,0.978227,0.978227)" },
            React.createElement("path", { d: "M15.9,7.8L8.2,0.1C8.1,0 7.9,0 7.8,0.1L0.1,7.8C0,7.9 0,8.1 0.1,8.2C0.2,8.3 0.2,8.3 0.3,8.3L2.2,8.3L2.2,15.8C2.2,15.9 2.2,15.9 2.3,16C2.3,16 2.4,16.1 2.5,16.1L6.2,16.1C6.3,16.1 6.5,16 6.5,15.8L6.5,10.5L9.7,10.5L9.7,15.8C9.7,15.9 9.8,16.1 10,16.1L13.7,16.1C13.8,16.1 14,16 14,15.8L14,8.2L15.9,8.2C16,8.2 16,8.2 16.1,8.1C16,8 16.1,7.9 15.9,7.8Z" })))); }));
}
exports.default = HomeIcon;
//# sourceMappingURL=HomeIcon.js.map