"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var theme_1 = require("../theme");
function Icon(_a) {
    var children = _a.children, className = _a.className, _b = _a.size, size = _b === void 0 ? 16 : _b, style = _a.style, _c = _a.height, height = _c === void 0 ? size : _c, _d = _a.width, width = _d === void 0 ? size : _d, _e = _a.viewBox, viewBox = _e === void 0 ? '0 0 16 16' : _e, iconProps = __rest(_a, ["children", "className", "size", "style", "height", "width", "viewBox"]);
    return (React.createElement("svg", __assign({ className: className, height: height, style: __assign({ fillRule: 'evenodd', clipRule: 'evenodd', strokeLinejoin: 'round', strokeMiterlimit: 1.41421 }, style), version: "1.1", viewBox: viewBox, width: width, xmlnsXlink: "http://www.w3.org/1999/xlink", xmlSpace: "preserve" }, iconProps), children));
}
exports.default = Icon;
function ThemedIcon(_a) {
    var children = _a.children, iconProps = __rest(_a, ["children"]);
    return (React.createElement(theme_1.ThemeConsumer, null, function (theme) { return React.createElement(Icon, __assign({}, iconProps), children({ theme: theme })); }));
}
exports.ThemedIcon = ThemedIcon;
//# sourceMappingURL=Icon.js.map