"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var BugIcon_1 = require("./BugIcon");
var CodeSmellIcon_1 = require("./CodeSmellIcon");
var SecurityHotspotIcon_1 = require("./SecurityHotspotIcon");
var VulnerabilityIcon_1 = require("./VulnerabilityIcon");
function IssueIcon(_a) {
    var type = _a.type, iconProps = __rest(_a, ["type"]);
    switch (type) {
        case 'BUG':
            return React.createElement(BugIcon_1.default, __assign({}, iconProps));
        case 'VULNERABILITY':
            return React.createElement(VulnerabilityIcon_1.default, __assign({}, iconProps));
        case 'CODE_SMELL':
            return React.createElement(CodeSmellIcon_1.default, __assign({}, iconProps));
        case 'SECURITY_HOTSPOT':
            return React.createElement(SecurityHotspotIcon_1.default, __assign({}, iconProps));
        default:
            return null;
    }
}
exports.default = IssueIcon;
//# sourceMappingURL=IssueIcon.js.map