"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var BugTrackerIcon_1 = require("./BugTrackerIcon");
var ContinuousIntegrationIcon_1 = require("./ContinuousIntegrationIcon");
var DetachIcon_1 = require("./DetachIcon");
var HouseIcon_1 = require("./HouseIcon");
var SCMIcon_1 = require("./SCMIcon");
function ProjectLinkIcon(_a) {
    var type = _a.type, iconProps = __rest(_a, ["type"]);
    switch (type) {
        case 'issue':
            return React.createElement(BugTrackerIcon_1.default, __assign({}, iconProps));
        case 'homepage':
            return React.createElement(HouseIcon_1.default, __assign({}, iconProps));
        case 'ci':
            return React.createElement(ContinuousIntegrationIcon_1.default, __assign({}, iconProps));
        case 'scm':
            return React.createElement(SCMIcon_1.default, __assign({}, iconProps));
        default:
            return React.createElement(DetachIcon_1.default, __assign({}, iconProps));
    }
}
exports.default = ProjectLinkIcon;
//# sourceMappingURL=ProjectLinkIcon.js.map