import * as React from 'react';
import { DateSource } from 'react-intl';
export interface DateFormatterProps {
    children?: (formattedDate: string) => React.ReactNode;
    date: DateSource;
    long?: boolean;
}
export declare const formatterOption: {
    year: string;
    month: string;
    day: string;
};
export declare const longFormatterOption: {
    year: string;
    month: string;
    day: string;
};
export default function DateFormatter({ children, date, long }: DateFormatterProps): JSX.Element;
