import * as React from 'react';
import { DateSource } from 'react-intl';
export interface TimeFormatterProps {
    children?: (formattedDate: string) => React.ReactNode;
    date: DateSource;
    long?: boolean;
}
export declare const formatterOption: {
    hour: string;
    minute: string;
};
export declare const longFormatterOption: {
    hour: string;
    minute: string;
    second: string;
};
export default function TimeFormatter({ children, date, long }: TimeFormatterProps): JSX.Element;
