import * as React from 'react';
declare type AlertDisplay = 'banner' | 'inline' | 'block';
declare type AlertVariant = 'error' | 'warning' | 'success' | 'info' | 'loading';
export interface AlertProps {
    display?: AlertDisplay;
    variant: AlertVariant;
}
export declare function Alert(props: AlertProps & React.HTMLAttributes<HTMLDivElement>): JSX.Element;
export {};
