"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var classNames = require("classnames");
var lodash_1 = require("lodash");
var React = require("react");
require("./DuplicationsRating.css");
function DuplicationsRating(_a) {
    var _b = _a.muted, muted = _b === void 0 ? false : _b, _c = _a.size, size = _c === void 0 ? 'normal' : _c, value = _a.value;
    var className = classNames('duplications-rating', {
        'duplications-rating-small': size === 'small',
        'duplications-rating-big': size === 'big',
        'duplications-rating-huge': size === 'huge',
        'duplications-rating-muted': muted || value == null || isNaN(value),
        'duplications-rating-A': lodash_1.inRange(value || 0, 0, 3),
        'duplications-rating-B': lodash_1.inRange(value || 0, 3, 5),
        'duplications-rating-C': lodash_1.inRange(value || 0, 5, 10),
        'duplications-rating-D': lodash_1.inRange(value || 0, 10, 20),
        'duplications-rating-E': (value || 0) >= 20,
    });
    return React.createElement("div", { className: className });
}
exports.default = DuplicationsRating;
//# sourceMappingURL=DuplicationsRating.js.map