import * as React from 'react';
import './NavBar.css';
interface Props extends React.HTMLProps<HTMLDivElement> {
    children?: React.ReactNode;
    className?: string;
    height: number;
    limited?: boolean;
    top?: number;
    notif?: React.ReactNode;
}
interface State {
    left: number;
}
export default class NavBar extends React.PureComponent<Props, State> {
    throttledFollowHorizontalScroll: () => void;
    constructor(props: Props);
    componentDidMount(): void;
    componentWillUnmount(): void;
    followHorizontalScroll: () => void;
    render(): JSX.Element;
}
export {};
