"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var l10n_1 = require("../../helpers/l10n");
var FilesCounter_1 = require("./FilesCounter");
function PageActions(props) {
    var current = props.current, showShortcuts = props.showShortcuts, _a = props.total, total = _a === void 0 ? 0 : _a;
    return (React.createElement("div", { className: "page-actions display-flex-center" },
        showShortcuts && (React.createElement("span", { className: "note nowrap" },
            React.createElement("span", { className: "big-spacer-right" },
                React.createElement("span", { className: "shortcut-button little-spacer-right" }, "\u2191"),
                React.createElement("span", { className: "shortcut-button little-spacer-right" }, "\u2193"),
                l10n_1.translate('component_measures.to_select_files')),
            React.createElement("span", null,
                React.createElement("span", { className: "shortcut-button little-spacer-right" }, "\u2190"),
                React.createElement("span", { className: "shortcut-button little-spacer-right" }, "\u2192"),
                l10n_1.translate('component_measures.to_navigate')))),
        total > 0 && (React.createElement("div", { className: "nowrap" },
            React.createElement(FilesCounter_1.default, { className: "big-spacer-left", current: current, total: total })))));
}
exports.default = PageActions;
//# sourceMappingURL=PageActions.js.map