import * as React from 'react';
import './MetaData.css';
import { MetaDataInformation } from './update-center-metadata';
interface Props {
    updateCenterKey?: string;
}
interface State {
    data?: MetaDataInformation;
}
export default class MetaData extends React.Component<Props, State> {
    mounted: boolean;
    state: State;
    componentDidMount(): void;
    componentDidUpdate(prevProps: Props): void;
    componentWillUnmount(): void;
    fetchData(): void;
    render(): JSX.Element | null;
}
export {};
