export interface MetaDataInformation {
    category?: string;
    isSonarSourceCommercial?: boolean;
    issueTrackerURL?: string;
    key?: string;
    license?: string;
    name: string;
    organization?: {
        name: string;
        url?: string;
    };
    sourcesURL?: string;
    versions?: MetaDataVersionInformation[];
}
export interface MetaDataVersionInformation {
    archived?: boolean;
    changeLogUrl?: string;
    compatibility?: string;
    date?: string;
    description?: string;
    downloadURL?: string | AdvancedDownloadUrl[];
    version: string;
}
export interface AdvancedDownloadUrl {
    label?: string;
    url: string;
}
