"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var CLASS_SIDEBAR_PAGE = 'sidebar-page';
var CLASS_WHITE_PAGE = 'white-page';
var CLASS_NO_FOOTER_PAGE = 'no-footer-page';
function addSideBarClass() {
    toggleBodyClass(CLASS_SIDEBAR_PAGE, true);
}
exports.addSideBarClass = addSideBarClass;
function addWhitePageClass() {
    toggleBodyClass(CLASS_WHITE_PAGE, true);
}
exports.addWhitePageClass = addWhitePageClass;
function addNoFooterPageClass() {
    console.warn('DEPRECATED: addNoFooterPageClass() was deprecated.');
    toggleBodyClass(CLASS_NO_FOOTER_PAGE, true);
}
exports.addNoFooterPageClass = addNoFooterPageClass;
function removeSideBarClass() {
    toggleBodyClass(CLASS_SIDEBAR_PAGE, false);
}
exports.removeSideBarClass = removeSideBarClass;
function removeWhitePageClass() {
    toggleBodyClass(CLASS_WHITE_PAGE, false);
}
exports.removeWhitePageClass = removeWhitePageClass;
function removeNoFooterPageClass() {
    console.warn('DEPRECATED: removeNoFooterPageClass() was deprecated.');
    toggleBodyClass(CLASS_NO_FOOTER_PAGE, false);
}
exports.removeNoFooterPageClass = removeNoFooterPageClass;
function toggleBodyClass(className, force) {
    document.body.classList.toggle(className, force);
    if (document.documentElement) {
        document.documentElement.classList.toggle(className, force);
    }
}
//# sourceMappingURL=pages.js.map