import { ReactWrapper, ShallowWrapper } from 'enzyme';
export declare function mockEvent(overrides?: {}): any;
export declare function click(element: ShallowWrapper | ReactWrapper, event?: {}): void;
export declare function clickOutside(event?: {}): void;
export declare function submit(element: ShallowWrapper | ReactWrapper): void;
export declare function change(element: ShallowWrapper | ReactWrapper, value: string, event?: {}): void;
export declare const KEYCODE_MAP: {
    [keycode: number]: string;
};
export declare function keydown(key: number | string): void;
export declare function elementKeydown(element: ShallowWrapper, keyCode: number): void;
export declare function resizeWindowTo(width?: number, height?: number): void;
export declare function scrollTo({ left, top }: {
    left?: number | undefined;
    top?: number | undefined;
}): void;
export declare function setNodeRect({ width, height, left, top }: {
    width?: number | undefined;
    height?: number | undefined;
    left?: number | undefined;
    top?: number | undefined;
}): void;
export declare function doAsync(fn?: Function): Promise<void>;
export declare function waitAndUpdate(wrapper: ShallowWrapper<any, any> | ReactWrapper<any, any>): Promise<void>;
