/// <reference types="react" />
import { ScaleLinear, ScaleOrdinal } from 'd3-scale';
import './ColorGradientLegend.css';
interface Props {
    className?: string;
    colorNA?: string;
    colorScale: ScaleOrdinal<string, string> | ScaleLinear<string, string | number>;
    height: number;
    padding?: [number, number, number, number];
    width: number;
}
export default function ColorGradientLegend({ className, colorScale, colorNA, padding, height, width, }: Props): JSX.Element;
export {};
