import * as React from 'react';
import { Location } from '../../helpers/urls';
import './TreeMap.css';
export interface TreeMapItem {
    color: string;
    icon?: React.ReactNode;
    key: string;
    label: string;
    link?: string | Location;
    size: number;
    tooltip?: React.ReactNode;
}
interface Props {
    height: number;
    items: TreeMapItem[];
    onRectangleClick?: (item: string) => void;
    width: number;
}
export default class TreeMap extends React.PureComponent<Props> {
    mostCommitPrefix: (labels: string[]) => string;
    render(): JSX.Element;
}
export {};
