"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var classNames = require("classnames");
var React = require("react");
var OpenCloseIcon_1 = require("../icons/OpenCloseIcon");
var BoxedGroupAccordion = (function (_super) {
    __extends(BoxedGroupAccordion, _super);
    function BoxedGroupAccordion() {
        var _this = _super !== null && _super.apply(this, arguments) || this;
        _this.state = { hoveringInner: false };
        _this.handleClick = function () {
            _this.props.onClick(_this.props.data);
        };
        _this.onDetailEnter = function () {
            _this.setState({ hoveringInner: true });
        };
        _this.onDetailLeave = function () {
            _this.setState({ hoveringInner: false });
        };
        return _this;
    }
    BoxedGroupAccordion.prototype.render = function () {
        var _a = this.props, className = _a.className, open = _a.open, renderHeader = _a.renderHeader, title = _a.title;
        return (React.createElement("div", { className: classNames('boxed-group boxed-group-accordion', className, {
                'no-hover': this.state.hoveringInner,
            }) },
            React.createElement("div", { className: "boxed-group-header", onClick: this.handleClick, role: "listitem" },
                React.createElement("span", { className: "boxed-group-accordion-title" },
                    React.createElement(OpenCloseIcon_1.default, { className: "little-spacer-right", open: open }),
                    title),
                renderHeader && renderHeader()),
            open && (React.createElement("div", { className: "boxed-group-inner", onMouseEnter: this.onDetailEnter, onMouseLeave: this.onDetailLeave }, this.props.children))));
    };
    return BoxedGroupAccordion;
}(React.PureComponent));
exports.default = BoxedGroupAccordion;
//# sourceMappingURL=BoxedGroupAccordion.js.map