import * as React from 'react';
import './Checkbox.css';
interface Props {
    checked: boolean;
    disabled?: boolean;
    children?: React.ReactNode;
    className?: string;
    id?: string;
    loading?: boolean;
    onCheck: (checked: boolean, id?: string) => void;
    right?: boolean;
    thirdState?: boolean;
    title?: string;
}
export default class Checkbox extends React.PureComponent<Props> {
    static defaultProps: {
        thirdState: boolean;
    };
    handleClick: (event: React.SyntheticEvent<HTMLElement, Event>) => void;
    render(): JSX.Element;
}
export {};
