"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
function ClickEventBoundary(_a) {
    var children = _a.children;
    return React.cloneElement(children, {
        onClick: function (e) {
            e.stopPropagation();
            if (typeof children.props.onClick === 'function') {
                children.props.onClick(e);
            }
        },
    });
}
exports.default = ClickEventBoundary;
//# sourceMappingURL=ClickEventBoundary.js.map