import * as React from 'react';
import { ConfirmModalProps } from './ConfirmModal';
import { ChildrenProps, ModalProps } from './ModalButton';
interface Props<T> extends ConfirmModalProps<T> {
    children: (props: ChildrenProps) => React.ReactNode;
    modalBody: React.ReactNode;
    modalHeader: string;
    modalHeaderDescription?: React.ReactNode;
}
interface State {
    modal: boolean;
}
export default class ConfirmButton<T> extends React.PureComponent<Props<T>, State> {
    renderConfirmModal: ({ onClose }: ModalProps) => JSX.Element;
    render(): JSX.Element;
}
export {};
