"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var keycodes_1 = require("../../helpers/keycodes");
var EscKeydownHandler = (function (_super) {
    __extends(EscKeydownHandler, _super);
    function EscKeydownHandler() {
        var _this = _super !== null && _super.apply(this, arguments) || this;
        _this.handleKeyDown = function (event) {
            if (event.keyCode === keycodes_1.KeyCodes.Escape) {
                _this.props.onKeydown();
            }
        };
        return _this;
    }
    EscKeydownHandler.prototype.componentDidMount = function () {
        var _this = this;
        setTimeout(function () {
            document.addEventListener('keydown', _this.handleKeyDown, false);
        }, 0);
    };
    EscKeydownHandler.prototype.componentWillUnmount = function () {
        document.removeEventListener('keydown', this.handleKeyDown, false);
    };
    EscKeydownHandler.prototype.render = function () {
        return this.props.children;
    };
    return EscKeydownHandler;
}(React.Component));
exports.default = EscKeydownHandler;
//# sourceMappingURL=EscKeydownHandler.js.map