import * as React from 'react';
import { IconProps } from '../icons/Icon';
import './HelpTooltip.css';
import { Placement } from './Tooltip';
interface Props extends Pick<IconProps, 'size'> {
    className?: string;
    children?: React.ReactNode;
    onShow?: () => void;
    overlay: React.ReactNode;
    placement?: Placement;
}
export default function HelpTooltip({ size, ...props }: Props): JSX.Element;
export declare function DarkHelpTooltip({ size, ...props }: Omit<Props, 'children'>): JSX.Element;
export {};
