"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var classNames = require("classnames");
var React = require("react");
var colors_1 = require("../../helpers/colors");
var urls_1 = require("../../helpers/urls");
require("./IdentityProviderLink.css");
function IdentityProviderLink(_a) {
    var backgroundColor = _a.backgroundColor, children = _a.children, className = _a.className, iconPath = _a.iconPath, name = _a.name, onClick = _a.onClick, small = _a.small, url = _a.url;
    var size = small ? 14 : 20;
    return (React.createElement("a", { className: classNames('identity-provider-link', { 'dark-text': !colors_1.isDarkColor(backgroundColor), small: small }, className), href: url, onClick: onClick, style: { backgroundColor: backgroundColor } },
        React.createElement("img", { alt: name, height: size, src: urls_1.getBaseUrl() + iconPath, width: size }),
        children));
}
exports.default = IdentityProviderLink;
//# sourceMappingURL=IdentityProviderLink.js.map