"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var classNames = require("classnames");
var React = require("react");
require("./Radio.css");
var Radio = (function (_super) {
    __extends(Radio, _super);
    function Radio() {
        var _this = _super !== null && _super.apply(this, arguments) || this;
        _this.handleClick = function (event) {
            event.preventDefault();
            if (!_this.props.disabled) {
                _this.props.onCheck(_this.props.value);
            }
        };
        return _this;
    }
    Radio.prototype.render = function () {
        var _a = this.props, className = _a.className, checked = _a.checked, children = _a.children, disabled = _a.disabled;
        return (React.createElement("a", { "aria-checked": checked, className: classNames('display-inline-flex-center link-radio', className, { disabled: disabled }), href: "#", onClick: this.handleClick, role: "radio" },
            React.createElement("i", { className: classNames('icon-radio', 'spacer-right', { 'is-checked': checked }) }),
            children));
    };
    return Radio;
}(React.PureComponent));
exports.default = Radio;
//# sourceMappingURL=Radio.js.map