import * as React from 'react';
import './RadioToggle.css';
declare type ToggleValueType = string | number | boolean;
interface Option {
    disabled?: boolean;
    label: string;
    tooltip?: string;
    value: ToggleValueType;
}
interface Props {
    className?: string;
    name: string;
    onCheck: (value: ToggleValueType) => void;
    options: Option[];
    value?: ToggleValueType;
}
export default class RadioToggle extends React.PureComponent<Props> {
    static defaultProps: {
        disabled: boolean;
        value: null;
    };
    renderOption: (option: Option) => JSX.Element;
    render(): JSX.Element;
}
export {};
