"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var classNames = require("classnames");
var React = require("react");
var l10n_1 = require("../../helpers/l10n");
var theme_1 = require("../theme");
var Tooltip_1 = require("./Tooltip");
var ReloadButton = (function (_super) {
    __extends(ReloadButton, _super);
    function ReloadButton() {
        var _this = _super !== null && _super.apply(this, arguments) || this;
        _this.handleClick = function (event) {
            event.preventDefault();
            event.currentTarget.blur();
            _this.props.onClick();
        };
        return _this;
    }
    ReloadButton.prototype.render = function () {
        var _a = this.props.tooltip, tooltip = _a === void 0 ? l10n_1.translate('reload') : _a;
        return (React.createElement(Tooltip_1.default, { overlay: tooltip },
            React.createElement("a", { className: classNames('link-no-underline', this.props.className), href: "#", onClick: this.handleClick }, React.createElement(theme_1.ThemeConsumer, null, function (theme) { return (React.createElement("svg", { height: "24", viewBox: "0 0 18 24", width: "18" },
                React.createElement("path", { d: "M16.6454 8.1084c-.3-.5-.9-.7-1.4-.4-.5.3-.7.9-.4 1.4.9 1.6 1.1 3.4.6 5.1-.5 1.7-1.7 3.2-3.2 4-3.3 1.8-7.4.6-9.1-2.7-1.8-3.1-.8-6.9 2.1-8.8v3.3h2v-7h-7v2h3.9c-3.7 2.5-5 7.5-2.8 11.4 1.6 3 4.6 4.6 7.7 4.6 1.4 0 2.8-.3 4.2-1.1 2-1.1 3.5-3 4.2-5.2.6-2.2.3-4.6-.8-6.6z", fill: theme.colors.secondFontColor }))); }))));
    };
    return ReloadButton;
}(React.PureComponent));
exports.default = ReloadButton;
//# sourceMappingURL=ReloadButton.js.map