import * as React from 'react';
import { Theme } from '../theme';
interface Props {
    children: (props: Fixes) => React.ReactNode;
    ready?: boolean;
    theme: Theme;
}
interface Fixes {
    leftFix?: number;
    topFix?: number;
}
export declare class ScreenPositionFixer extends React.Component<Props, Fixes> {
    throttledPosition: () => void;
    constructor(props: Props);
    componentDidMount(): void;
    componentDidUpdate(prevProps: Props): void;
    componentWillUnmount(): void;
    addEventListeners: () => void;
    removeEventListeners: () => void;
    reset: () => void;
    position: () => void;
    render(): React.ReactNode;
}
declare const _default: React.SFC<import("emotion-theming/types/helper").AddOptionalTo<Props & React.RefAttributes<ScreenPositionFixer>, "theme">>;
export default _default;
