import * as React from 'react';
import { defaultFilterOptions as reactSelectDefaultFilterOptions, ReactAsyncSelectProps, ReactCreatableSelectProps, ReactSelectProps } from 'react-select';
import './Select.css';
declare module 'react-select' {
    function defaultFilterOptions(...args: any[]): any;
}
interface WithInnerRef {
    innerRef?: (element: React.Component) => void;
}
export default function Select({ innerRef, ...props }: WithInnerRef & ReactSelectProps): JSX.Element;
export declare const defaultFilterOptions: typeof reactSelectDefaultFilterOptions;
export declare function Creatable(props: ReactCreatableSelectProps): JSX.Element;
export declare function AsyncSelect(props: ReactAsyncSelectProps & {
    ref?: any;
}): JSX.Element;
export {};
