"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
Object.defineProperty(exports, "__esModule", { value: true });
var formik_1 = require("formik");
var React = require("react");
var ValidationForm = (function (_super) {
    __extends(ValidationForm, _super);
    function ValidationForm() {
        var _this = _super !== null && _super.apply(this, arguments) || this;
        _this.mounted = false;
        _this.handleSubmit = function (data, _a) {
            var setSubmitting = _a.setSubmitting;
            var result = _this.props.onSubmit(data);
            var stopSubmitting = function () {
                if (_this.mounted) {
                    setSubmitting(false);
                }
            };
            if (result) {
                result.then(stopSubmitting, stopSubmitting);
            }
            else {
                stopSubmitting();
            }
        };
        return _this;
    }
    ValidationForm.prototype.componentDidMount = function () {
        this.mounted = true;
    };
    ValidationForm.prototype.componentWillUnmount = function () {
        this.mounted = false;
    };
    ValidationForm.prototype.render = function () {
        var _this = this;
        return (React.createElement(formik_1.Formik, { initialValues: this.props.initialValues, isInitialValid: this.props.isInitialValid, onSubmit: this.handleSubmit, validate: this.props.validate }, function (_a) {
            var handleSubmit = _a.handleSubmit, props = __rest(_a, ["handleSubmit"]);
            return (React.createElement("form", { onSubmit: handleSubmit }, _this.props.children(props)));
        }));
    };
    return ValidationForm;
}(React.Component));
exports.default = ValidationForm;
//# sourceMappingURL=ValidationForm.js.map