"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var IssueIcon_1 = require("./IssueIcon");
function IssueTypeIcon(_a) {
    var query = _a.query, iconProps = __rest(_a, ["query"]);
    var type;
    switch (query.toLowerCase()) {
        case 'bug':
        case 'bugs':
        case 'new_bugs':
            type = 'BUG';
            break;
        case 'vulnerability':
        case 'vulnerabilities':
        case 'new_vulnerabilities':
            type = 'VULNERABILITY';
            break;
        case 'code_smell':
        case 'code_smells':
        case 'new_code_smells':
            type = 'CODE_SMELL';
            break;
        case 'security_hotspot':
        case 'security_hotspots':
        case 'new_security_hotspots':
            type = 'SECURITY_HOTSPOT';
            break;
        default:
            return null;
    }
    return React.createElement(IssueIcon_1.default, __assign({ type: type }, iconProps));
}
exports.default = IssueTypeIcon;
//# sourceMappingURL=IssueTypeIcon.js.map