"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var Icon_1 = require("./Icon");
function OnboardingProjectIcon(_a) {
    var fill = _a.fill, _b = _a.size, size = _b === void 0 ? 64 : _b, iconProps = __rest(_a, ["fill", "size"]);
    return (React.createElement(Icon_1.ThemedIcon, __assign({ size: size, viewBox: "0 0 64 64" }, iconProps), function (_a) {
        var theme = _a.theme;
        return (React.createElement("g", { fill: "none", fillRule: "evenodd", stroke: fill || theme.colors.darkBlue, strokeWidth: "2" },
            React.createElement("path", { d: "M2 59h60V13H2zm0-46h60V5H2zm3-4h2m2 0h2m2 0h2m2 0h42" }),
            React.createElement("path", { d: "M59 34h-6l-2-4h-6l-2 5h-6l-2 2h-6l-2-4h-6l-2 5h-6l-2 4H5m1 14v-9m4 9v-6m4 6V43m4 13V45m4 11V42m4 14V39m4 17V41m4 15V46m4 10V40m4 16V44m4 12V37m4 19V38m4 18V43m4 13V39m-3-18h-2m-2 0h-2m-2 0h-2M9 29h14M9 33h7m17-12h8m-14 4h8m-8-4h4m-21 4h12v-4H10z" }),
            React.createElement("path", { d: "M58 31V17H6v22" })));
    }));
}
exports.default = OnboardingProjectIcon;
//# sourceMappingURL=OnboardingProjectIcon.js.map