"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var react_intl_1 = require("react-intl");
var dates_1 = require("../../helpers/dates");
exports.formatterOption = {
    year: 'numeric',
    month: 'long',
    day: 'numeric',
    hour: 'numeric',
    minute: 'numeric',
};
function DateTimeFormatter(_a) {
    var children = _a.children, date = _a.date;
    return (React.createElement(react_intl_1.FormattedDate, __assign({ value: dates_1.parseDate(date) }, exports.formatterOption), children));
}
exports.default = DateTimeFormatter;
//# sourceMappingURL=DateTimeFormatter.js.map