"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var react_intl_1 = require("react-intl");
var dates_1 = require("../../helpers/dates");
exports.formatterOption = { hour: 'numeric', minute: 'numeric' };
exports.longFormatterOption = { hour: 'numeric', minute: 'numeric', second: 'numeric' };
function TimeFormatter(_a) {
    var children = _a.children, date = _a.date, long = _a.long;
    return (React.createElement(react_intl_1.FormattedTime, __assign({ value: dates_1.parseDate(date) }, (long ? exports.longFormatterOption : exports.formatterOption)), children));
}
exports.default = TimeFormatter;
//# sourceMappingURL=TimeFormatter.js.map