import * as React from 'react';
export declare function lazyLoadComponent<T extends React.ComponentType<any>>(factory: () => Promise<{
    default: T;
}>, displayName?: string): {
    (props: React.ComponentProps<T>): JSX.Element | null;
    displayName: string | undefined;
};
interface ErrorBoundaryProps {
    children: React.ReactNode;
}
interface ErrorBoundaryState {
    hasError: boolean;
}
export declare class LazyErrorBoundary extends React.Component<ErrorBoundaryProps, ErrorBoundaryState> {
    state: ErrorBoundaryState;
    static getDerivedStateFromError(): {
        hasError: boolean;
    };
    render(): {} | null | undefined;
}
export {};
