import * as React from 'react';
declare type EllipsisPredicate = (node: HTMLElement, props: Omit<AutoEllipsisProps, 'customShouldEllipsis'>) => boolean;
interface AutoEllipsisProps {
    customShouldEllipsis?: EllipsisPredicate;
    maxHeight?: number;
    maxWidth?: number;
    useParent?: boolean;
}
interface Props extends AutoEllipsisProps {
    children: React.ReactElement;
}
export default function AutoEllipsis(props: Props): React.ReactElement<any, string | ((props: any) => React.ReactElement<any, string | any | (new (props: any) => React.Component<any, any, any>)> | null) | (new (props: any) => React.Component<any, any, any>)>;
export declare function useAutoEllipsis(props: AutoEllipsisProps): [boolean, (node: HTMLElement) => void];
export declare const defaultShouldEllipsis: EllipsisPredicate;
export {};
