import * as React from 'react';
import './DeferredSpinner.css';
interface Props {
    children?: React.ReactNode;
    className?: string;
    customSpinner?: JSX.Element;
    loading?: boolean;
    placeholder?: boolean;
    timeout?: number;
}
interface State {
    showSpinner: boolean;
}
export default class DeferredSpinner extends React.PureComponent<Props, State> {
    timer?: number;
    state: State;
    componentDidMount(): void;
    componentDidUpdate(prevProps: Props): void;
    componentWillUnmount(): void;
    startTimer: () => void;
    stopTimer: () => void;
    render(): {} | null;
}
export {};
