"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var l10n_1 = require("../../helpers/l10n");
var measures_1 = require("../../helpers/measures");
function FilesCounter(_a) {
    var className = _a.className, current = _a.current, total = _a.total;
    return (React.createElement("span", { className: className },
        React.createElement("strong", null,
            current !== undefined && (React.createElement("span", null,
                measures_1.formatMeasure(current, 'INT'),
                ' / ')),
            measures_1.formatMeasure(total, 'INT')),
        ' ',
        l10n_1.translate('component_measures.files')));
}
exports.default = FilesCounter;
//# sourceMappingURL=FilesCounter.js.map