"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var classNames = require("classnames");
var React = require("react");
var measures_1 = require("../../helpers/measures");
require("./Level.css");
function Level(props) {
    var formatted = measures_1.formatMeasure(props.level, 'LEVEL');
    var className = classNames(props.className, 'level', 'level-' + props.level, {
        'level-small': props.small,
        'level-muted': props.muted,
    });
    return (React.createElement("span", { "aria-label": props['aria-label'], "aria-labelledby": props['aria-labelledby'], className: className }, formatted));
}
exports.default = Level;
//# sourceMappingURL=Level.js.map