"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
Object.defineProperty(exports, "__esModule", { value: true });
var classNames = require("classnames");
var lodash_1 = require("lodash");
var React = require("react");
require("./NavBar.css");
var NavBar = (function (_super) {
    __extends(NavBar, _super);
    function NavBar(props) {
        var _this = _super.call(this, props) || this;
        _this.followHorizontalScroll = function () {
            if (document.documentElement) {
                _this.setState({ left: -document.documentElement.scrollLeft });
            }
        };
        _this.state = { left: 0 };
        _this.throttledFollowHorizontalScroll = lodash_1.throttle(_this.followHorizontalScroll, 10);
        return _this;
    }
    NavBar.prototype.componentDidMount = function () {
        document.addEventListener('scroll', this.throttledFollowHorizontalScroll);
    };
    NavBar.prototype.componentWillUnmount = function () {
        document.removeEventListener('scroll', this.throttledFollowHorizontalScroll);
    };
    NavBar.prototype.render = function () {
        var _a = this.props, children = _a.children, className = _a.className, height = _a.height, _b = _a.limited, limited = _b === void 0 ? true : _b, top = _a.top, notif = _a.notif, other = __rest(_a, ["children", "className", "height", "limited", "top", "notif"]);
        return (React.createElement("nav", __assign({}, other, { className: classNames('navbar', className), style: { height: height, top: top } }),
            React.createElement("div", { className: classNames('navbar-inner', { 'navbar-inner-with-notif': notif != null }), style: { height: height, left: this.state.left } },
                React.createElement("div", { className: classNames('clearfix', { 'navbar-limited': limited }) }, children),
                notif)));
    };
    return NavBar;
}(React.PureComponent));
exports.default = NavBar;
//# sourceMappingURL=NavBar.js.map