"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var classNames = require("classnames");
var React = require("react");
var l10n_1 = require("../../helpers/l10n");
var buttons_1 = require("../controls/buttons");
require("./NewsBox.css");
function NewsBox(_a) {
    var children = _a.children, className = _a.className, onClose = _a.onClose, title = _a.title;
    return (React.createElement("div", { className: classNames('news-box', className), role: "alert" },
        React.createElement("div", { className: "news-box-header" },
            React.createElement("div", { className: "display-flex-center" },
                React.createElement("span", { className: "badge badge-info spacer-right" }, l10n_1.translate('new')),
                React.createElement("strong", null, title)),
            React.createElement(buttons_1.ClearButton, { className: "button-tiny", iconProps: { size: 12, thin: true }, onClick: onClose })),
        React.createElement("div", { className: "big-spacer-top note" }, children)));
}
exports.default = NewsBox;
//# sourceMappingURL=NewsBox.js.map