"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
Object.defineProperty(exports, "__esModule", { value: true });
function mockMetaDataVersionInformation(overrides) {
    return __assign({ version: '5.13', date: '2019-05-31', compatibility: '6.7', archived: false, downloadURL: 'https://example.com/sonar-java-plugin-5.13.0.18197.jar', changeLogUrl: 'https://example.com/sonar-java-plugin/release' }, overrides);
}
exports.mockMetaDataVersionInformation = mockMetaDataVersionInformation;
function mockMetaDataInformation(overrides) {
    return __assign({ name: 'SonarJava', key: 'java', isSonarSourceCommercial: true, organization: {
            name: 'SonarSource',
            url: 'http://www.sonarsource.com/',
        }, category: 'Languages', license: 'SonarSource', issueTrackerURL: 'https://jira.sonarsource.com/browse/SONARJAVA', sourcesURL: 'https://github.com/SonarSource/sonar-java', versions: [
            mockMetaDataVersionInformation({ version: '2.0' }),
            mockMetaDataVersionInformation({ version: '1.0', archived: true }),
        ] }, overrides);
}
exports.mockMetaDataInformation = mockMetaDataInformation;
//# sourceMappingURL=update-center-metadata.js.map