export declare type Messages = T.Dict<string>;
export declare function translate(...keys: string[]): string;
export declare function translateWithParameters(messageKey: string, ...parameters: Array<string | number>): string;
export declare function hasMessage(...keys: string[]): boolean;
export declare function getLocalizedMetricName(metric: {
    key: string;
    name?: string;
}, short?: boolean): string;
export declare function getLocalizedCategoryMetricName(metric: {
    key: string;
    name?: string;
}): string;
export declare function getLocalizedMetricDomain(domainName: string): string;
export declare function getCurrentLocale(): string;
export declare function getShortMonthName(index: number): string;
export declare function getWeekDayName(index: number): string;
export declare function getShortWeekDayName(index: number): string;
