interface Query {
    [x: string]: string | undefined;
}
export interface Location {
    pathname: string;
    query?: Query;
}
export declare function getBaseUrl(): string;
export declare function getHostUrl(): string;
export declare function getPathUrlAsString(path: Location, internal?: boolean): string;
export declare function getReturnUrl(location: {
    hash?: string;
    query?: {
        return_to?: string;
    };
}): string;
export declare function isRelativeUrl(url?: string): boolean;
export {};
